Blob Blame Raw
diff -Nur calamares-3.1.5/calamares.desktop calamares-3.1.5-kdesu/calamares.desktop
--- calamares-3.1.5/calamares.desktop	2017-09-25 17:13:33.000000000 +0200
+++ calamares-3.1.5-kdesu/calamares.desktop	2017-09-27 03:30:14.647027258 +0200
@@ -5,7 +5,7 @@
 GenericName=System Installer
 Keywords=calamares;system;installer
 TryExec=calamares
-Exec=pkexec /usr/bin/calamares
+Exec=kdesu /usr/bin/calamares
 Comment=Calamares — System Installer
 Icon=calamares
 Terminal=false
diff -Nur calamares-3.1.5/CMakeLists.txt calamares-3.1.5-kdesu/CMakeLists.txt
--- calamares-3.1.5/CMakeLists.txt	2017-09-25 17:13:33.000000000 +0200
+++ calamares-3.1.5-kdesu/CMakeLists.txt	2017-09-27 03:30:15.121020240 +0200
@@ -110,7 +110,6 @@
 
 find_package( Qt5 ${QT_VERSION} CONFIG REQUIRED Core Gui Widgets LinguistTools Svg Quick QuickWidgets )
 find_package( YAMLCPP 0.5.1 REQUIRED )
-find_package( PolkitQt5-1 REQUIRED )
 
 option( INSTALL_CONFIG "Install configuration files" ON )
 option( WITH_PYTHON "Enable Python modules API (requires Boost.Python)." ON )
@@ -332,13 +331,6 @@
 
 install(
   FILES
-      com.github.calamares.calamares.policy
-  DESTINATION
-      "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}"
-)
-
-install(
-  FILES
       calamares.desktop
   DESTINATION
       ${CMAKE_INSTALL_DATADIR}/applications
diff -Nur calamares-3.1.5/com.github.calamares.calamares.policy calamares-3.1.5-kdesu/com.github.calamares.calamares.policy
--- calamares-3.1.5/com.github.calamares.calamares.policy	2017-09-25 17:13:33.000000000 +0200
+++ calamares-3.1.5-kdesu/com.github.calamares.calamares.policy	1970-01-01 01:00:00.000000000 +0100
@@ -1,22 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE policyconfig PUBLIC
-"-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
-"http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
-<policyconfig>
-
- <vendor>Calamares</vendor>
- <vendor_url>https://github.com/calamares</vendor_url>
-
- <action id="com.github.calamares.calamares.pkexec.run">
-    <description>Run Installer</description>
-    <message>Authentication is required to run the installation program</message>
-    <icon_name>drive-harddisk</icon_name>
-    <defaults>
-     <allow_any>no</allow_any>
-     <allow_inactive>no</allow_inactive>
-     <allow_active>auth_admin</allow_active>
-    </defaults>
-    <annotate key="org.freedesktop.policykit.exec.path">/usr/bin/calamares</annotate>
-    <annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
- </action>
-</policyconfig>
\ No newline at end of file